import { buntstift } from 'buntstift';
const getHandlers = function () {
    return {
        commandFailed({ ex }) {
            if (ex instanceof Error && ex.stack) {
                buntstift.verbose(ex.stack, { isVerboseModeEnabled: true });
            }
        },
        commandUnknown({ unknownCommandName, recommendedCommandName }) {
            buntstift.error(`Unknown command '${unknownCommandName}', did you mean '${recommendedCommandName}'?`);
        },
        optionInvalid({ reason }) {
            buntstift.error(reason);
        },
        optionMissing({ optionDefinition }) {
            buntstift.error(`Option '${optionDefinition.name}' is missing.`);
        },
        optionUnknown({ optionName }) {
            buntstift.error(`Unknown option '${optionName}'.`);
        }
    };
};
export { getHandlers };
