import { buntstift } from 'buntstift';
import { findImportsInSourceFile } from '../../utils/findImportsInSourceFile';
const updateDependencyGraph = async function ({ graph, staleFiles }) {
    while (staleFiles.length > 0) {
        const nextFile = staleFiles.pop();
        const analysisResult = await findImportsInSourceFile({ filePath: nextFile });
        if (analysisResult.hasError()) {
            continue;
        }
        const importedFilePaths = analysisResult.value;
        for (const importedFilePath of importedFilePaths) {
            if (!graph.hasNode(importedFilePath)) {
                staleFiles.unshift(importedFilePath);
            }
        }
        graph.updateEdgesFromNode(nextFile, importedFilePaths);
    }
    buntstift.verbose(graph.prettyPrint());
};
export { updateDependencyGraph };
