import fs from 'fs';
import path from 'path';
import { error, value } from 'defekt';
import * as errors from '../errors';
const getPackageJson = async function ({ absoluteDirectory }) {
    let packageJsonContent;
    try {
        packageJsonContent = await fs.promises.readFile(path.join(absoluteDirectory, 'package.json'), 'utf-8');
    }
    catch (ex) {
        return error(new errors.PackageJsonMissing({ cause: ex }));
    }
    try {
        const packageJson = JSON.parse(packageJsonContent);
        return value(packageJson);
    }
    catch (ex) {
        return error(new errors.PackageJsonMalformed({ cause: ex }));
    }
};
export { getPackageJson };
