import { cleanupFixture } from './cleanupFixture';
import { loadFixture } from './loadFixture';
const testWithFixture = function (title, fixturePath, testCallback, only) {
    let testFunction = test;
    if (only) {
        testFunction = test.only;
    }
    testFunction(title, async function () {
        const { absoluteRoboterPackageFile, absoluteNpmCacheDirectory } = this.roboter;
        const fixture = (await loadFixture({ fixturePath, absoluteRoboterPackageFile, absoluteNpmCacheDirectory })).unwrapOrThrow();
        try {
            await testCallback(fixture);
        }
        finally {
            await cleanupFixture({ fixture });
        }
    });
};
testWithFixture.only = function (title, fixturePath, testCallback) {
    testWithFixture(title, fixturePath, testCallback, true);
};
export { testWithFixture };
