import * as testErrors from './errors';
const waitForStringInStream = async function ({ stream, string, timeout: millisecondsUntilTimeout }) {
    let accumulator = '';
    const accumulateChunks = (chunk) => {
        accumulator += chunk;
    };
    stream.on('data', accumulateChunks);
    await new Promise((resolve, reject) => {
        let timeout;
        const resolveWhenAccumulatorContainsString = () => {
            if (accumulator.includes(string)) {
                clearTimeout(timeout);
                stream.off('data', resolveWhenAccumulatorContainsString);
                stream.off('data', accumulateChunks);
                resolve();
            }
        };
        timeout = setTimeout(() => {
            stream.off('data', resolveWhenAccumulatorContainsString);
            stream.off('data', accumulateChunks);
            reject(new testErrors.WaitForStringInStreamTimeout());
        }, millisecondsUntilTimeout);
        stream.on('data', resolveWhenAccumulatorContainsString);
    });
};
export { waitForStringInStream };
